# What is an Action?

Actions are the base unit of code used in unSkript.  Actions take [inputs](https://docs.unskript.com/unskript-documentation/actions/actions/action-configuration/action-inputs), complete a task, and [output](https://docs.unskript.com/unskript-documentation/actions/actions/action-configuration/action-output) a result.

unSkript comes with hundreds of [Prebuilt Actions](https://docs.unskript.com/unskript-documentation/actions/action-list) that are ready for immediate use.

### Types of Actions

* **Connector Actions**: Connector Actions interface with an external tool (for example [AWS](https://docs.unskript.com/unskript-documentation/connnecting/connectors/aws/action_aws) or [Datadog](https://docs.unskript.com/unskript-documentation/connnecting/connectors/datadog/action_datadog)), and performs an Action with that tooling.
  * Connector Actions are added by searching in the right navigation.
  * ![search for postgres actions](https://491011674-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fm4p7lGuBAXN5jCVyoF7P%2Fuploads%2FHNUtklNZPFL96Sj0hPwG%2Fimage.png?alt=media\&token=7864ec12-5e2b-4450-9090-f170f27908ea)
* **Glue Actions:** Glue Actions are Python code used to manipulate and work with the data. Glue Actions are created from the "Add" button at the top of the RunBook. &#x20;
  * Simplify a data output to a different format.
  * Chart results
  * Build interactive selections
  * ![Adding a Glue Action](https://491011674-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fm4p7lGuBAXN5jCVyoF7P%2Fuploads%2Fx3tR2gN25uJvIC3hfkT3%2Fimage.png?alt=media\&token=0f94d005-5696-4d84-885b-6d6c8e173647)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/actions/what-is-an-action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
